summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/pypy3/pypy3-5.9.0.ebuild12
-rw-r--r--dev-python/pypy3/pypy3-9999.ebuild12
2 files changed, 20 insertions, 4 deletions
diff --git a/dev-python/pypy3/pypy3-5.9.0.ebuild b/dev-python/pypy3/pypy3-5.9.0.ebuild
index 68ba1a3ef97..d81c5775b40 100644
--- a/dev-python/pypy3/pypy3-5.9.0.ebuild
+++ b/dev-python/pypy3/pypy3-5.9.0.ebuild
@@ -35,8 +35,16 @@ RDEPEND=">=sys-libs/zlib-1.1.3:0=
)
!dev-python/pypy3-bin:0"
DEPEND="${RDEPEND}
- low-memory? ( virtual/pypy:0 )
- !low-memory? ( ${PYTHON_DEPS} )"
+ low-memory? ( virtual/pypy )
+ !low-memory? (
+ || (
+ virtual/pypy
+ (
+ dev-lang/python:2.7
+ dev-python/pycparser[python_targets_python2_7(-),python_single_target_python2_7(+)]
+ )
+ )
+ )"
# doc? ( dev-python/sphinx )
S="${WORKDIR}/${MY_P}-src"
diff --git a/dev-python/pypy3/pypy3-9999.ebuild b/dev-python/pypy3/pypy3-9999.ebuild
index 92c2f84f5b0..5be752f1fc4 100644
--- a/dev-python/pypy3/pypy3-9999.ebuild
+++ b/dev-python/pypy3/pypy3-9999.ebuild
@@ -36,8 +36,16 @@ RDEPEND=">=sys-libs/zlib-1.1.3:0=
)
!dev-python/pypy3-bin:0"
DEPEND="${RDEPEND}
- low-memory? ( virtual/pypy:0 )
- !low-memory? ( ${PYTHON_DEPS} )"
+ low-memory? ( virtual/pypy )
+ !low-memory? (
+ || (
+ virtual/pypy
+ (
+ dev-lang/python:2.7
+ dev-python/pycparser[python_targets_python2_7(-),python_single_target_python2_7(+)]
+ )
+ )
+ )"
# doc? ( dev-python/sphinx )
# Who would care about predictable directory names?